public static interface AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketBuilders
| Modifier and Type | Method and Description |
|---|---|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointBuilder |
atmosphereWebsocket(String path)
Atmosphere Websocket (camel-atmosphere-websocket)
Expose WebSocket endpoints using the Atmosphere framework.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointBuilder |
atmosphereWebsocket(String componentName,
String path)
Atmosphere Websocket (camel-atmosphere-websocket)
Expose WebSocket endpoints using the Atmosphere framework.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointBuilder atmosphereWebsocket(String path)
atmosphere-websocket:servicePath
Path parameter: servicePath (required)
Name of websocket endpointpath - servicePathdefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointBuilder atmosphereWebsocket(String componentName, String path)
atmosphere-websocket:servicePath
Path parameter: servicePath (required)
Name of websocket endpointcomponentName - to use a custom component name for the endpoint
instead of the default namepath - servicePathApache Camel